/* ----------------------------- */
/* ------ Desktop Dropdown ----- */
/* ----------------------------- */

.menu .mod-menu--dropdown,
.menu-top .mod-menu--dropdown,
.menu-bottom .mod-menu--dropdown {
}

.header-wrap .mod-menu--dropdown > li.parent > a::after,
.header-wrap .mod-menu--dropdown > li.parent > span::after {
    content: "▾";
    margin-left: 0.35em;
    display: inline-block;
    vertical-align: middle;
    transform: rotate(180deg);
    transition: transform 0.6s ease;
}

.header-wrap .mod-menu--dropdown > li.parent:hover > a::after,
.header-wrap .mod-menu--dropdown > li.parent:hover > span::after {
    transform: rotate(0);
}

.header-wrap .mod-menu--dropdown > li {
    position: relative;
    list-style: none;
}

.header-wrap .mod-menu--dropdown > li > a {
    display: inline-block;
    min-width: 150px;
    text-align: center;
    padding: 0.75em;
    text-decoration: none;
    background-color: var(--tpl-background-color-menu);
    border-radius: var(--tpl-border-radius);
}

.header-wrap .mod-menu--dropdown > li > a:hover {
    background-color: var(--tpl-hover-background-color-menu);
}

.header-wrap .mod-menu__sub--dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    margin: 0;
    min-width: 200px;
    padding: 0.5em;
    list-style: none;
    border-radius: var(--tpl-border-radius);
    background-color: var(--tpl-background-color-drop-down);
    box-shadow: var(--tpl-content-box-shadow);
    display: none;
    z-index: 999;
}

.header-wrap .mod-menu__sub--dropdown > li > a {
    display: block;
    margin: 0.25em 0;
    white-space: nowrap;
    text-align: left;
    background-color: var(--tpl-background-color-drop-down);
    color: var(--tpl-font-color-drop-down);
}

.header-wrap .mod-menu__sub--dropdown > li > a:hover {
    background-color: transparent;
    color: var(--tpl-hover-font-color-drop-down) !important;
}

.header-wrap .mod-menu--dropdown > li:hover > .mod-menu__sub--dropdown {
    display: block;
}

/* ----------------------------- */
/* ------ Mobile Dropdown ------ */
/* ----------------------------- */

.mobile-nav .mod-menu--dropdown {
    display: block;
    padding-left: 0;
    margin: 0;
}

.mobile-nav .mod-menu--dropdown > li {
    position: static;
    list-style: none;
    border-bottom: 1px solid var(--tpl-mobile-primary-line-color);
}

.mobile-nav .mod-menu--dropdown > li > a,
.mobile-nav .mod-menu--dropdown > li > span {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    text-decoration: none;
    padding: var(--tpl-mobile-padding);
    font-size: var(--tpl-mobile-text-font-size) !important;
}

.mobile-nav .mod-menu--dropdown > li.parent > a::after,
.mobile-nav .mod-menu--dropdown > li.parent > span::after {
    content: "▾";
    margin-left: 0.35em;
    display: inline-block;
    transform: rotate(180deg);
    transition: transform 0.6s ease;
}

.mobile-nav .mod-menu--dropdown > li.is-open > a::after,
.mobile-nav .mod-menu--dropdown > li.is-open > span::after {
    transform: rotate(0);
}

.mobile-nav .mod-menu__sub--dropdown {
    position: static;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    display: none;
}

.mobile-nav .mod-menu--dropdown > li.is-open > .mod-menu__sub--dropdown {
    display: block;
}

.mobile-nav .mod-menu__sub--dropdown > li {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.mobile-nav .mod-menu__sub--dropdown > li > a {
    display: block;
    width: 95%;
    text-decoration: none;
    padding: var(--tpl-mobile-padding) calc(2 * var(--tpl-mobile-padding));
    border-top: 1px solid var(--tpl-mobile-secondary-line-color);
}
